<?php
include('Net/SFTP.php');

set_time_limit(0);

$sftp = new Net_SFTP('106.14.1.181');
if (!$sftp->login('10000004000', 'YRATF0OtDaYa2Uhv6cWO8BV9FPBup5')) {
    exit('Login Failed');
}
// target remote
$target_folder = null;
$targer_day = null;
// 获取前一天的对账单
$target_folder = str_replace("-", "/", date("Y-m", strtotime("-1 day")) );  // 2018/07
$targer_date = explode('/', $target_folder);
$target_year = $targer_date[0];
$target_month = $targer_date[1];
if (isset($_GET['f'])) {
    $target_folder = $_GET['f'];    // f=2018/06 f=2018/07/23
    $target_set = explode('/', $target_folder);
    if (isset($target_set[2])) {
        $target_folder = $target_set[0] . "/" . $target_set[1];
        $targer_day = $target_set[2];
    }
}
$file_list = array_values(array_diff($sftp->nlist($target_folder), array(".","..")));
if ($targer_day !== null) {
    $day_file_name = $target_set[0] . $target_set[1] . $target_set[2];
    $target_file_list = array_map(function ($ele) use ($day_file_name)
    {
        return stripos($ele, $day_file_name)===false ? null : $ele;
    }, $file_list);
    $file_list = array_values(array_filter($target_file_list));
    // $file_list = array($target_set[0] . $target_set[1] . $target_set[2] . ".xlsx");
}
// target local
$target_local = "settlement_files/ipaylinks-" . $target_folder;
// $target_local = "statement_files/ipaylinks-" . $target_folder;
if ( ! is_dir($target_local)) {
    mkdir($target_local, 0777, true);
}
// local files
$local_files = array_values(array_diff(scandir($target_local), array('.', '..')));
// new files
$new_files = array_values(array_diff($file_list, $local_files));
// copies filename.remote to filename.local from the SFTP server
$new_cnt = 0;
foreach ($new_files as $key => $new) {
    $file_path = $target_folder . "/" . $new;
    echo $file_path, "    ", $target_local . "/" . $new;
    echo "<br>";
    $sftp->get($file_path, $target_local . "/" . $new);
    $new_cnt++;
}
echo "Copied new statements count: " . $new_cnt;
echo "<br> new_files ", json_encode($new_files);
echo "<br> file_list ", json_encode($file_list);

// header("Location: http://www.mycht.cn/webht.php/apps/pay/ipaylinksservice/auto_update_statement?f=$target_folder&fjson=" . json_encode($new_files));
// header("Location: http://www.mycht.cn/webht.php/apps/pay/report/ipaylinks_excel?f=$target_folder&fjson=" . json_encode($new_files));
    $yestoday = date("Y/m/d", strtotime("-1 day"));
    header("Location: http://www.mycht.cn/webht.php/apps/pay/paymentservice/ipalinks_settlement/$yestoday");
// header("Location: http://202.103.68.79:8083/webht.php/apps/pay/report/ipaylinks_excel?f=$target_folder&fjson=" . json_encode($new_files));
